summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2020-01-20 00:05:47 +0100
committerLars Wendler <polynomial-c@gentoo.org>2020-01-20 00:06:08 +0100
commit61f19043aeb6385e13ff14d0746d44b2d7340f3d (patch)
treeeb66d0c1a48278e3117fd84252cf3672e8209444 /app-admin/sysklogd
parentapp-admin/keepassxc: Removed old (diff)
downloadgentoo-61f19043aeb6385e13ff14d0746d44b2d7340f3d.tar.gz
gentoo-61f19043aeb6385e13ff14d0746d44b2d7340f3d.tar.bz2
gentoo-61f19043aeb6385e13ff14d0746d44b2d7340f3d.zip
app-admin/sysklogd: Bump to version 2.1.1
Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'app-admin/sysklogd')
-rw-r--r--app-admin/sysklogd/Manifest1
-rw-r--r--app-admin/sysklogd/sysklogd-2.1.1.ebuild82
2 files changed, 83 insertions, 0 deletions
diff --git a/app-admin/sysklogd/Manifest b/app-admin/sysklogd/Manifest
index d6db6b9b5ce..45b3f9cf954 100644
--- a/app-admin/sysklogd/Manifest
+++ b/app-admin/sysklogd/Manifest
@@ -1,4 +1,5 @@
DIST sysklogd-1.5.1.tar.gz 90011 BLAKE2B c40bd8d5769f7d3d4141d602c74ac41e05a140743d18c4923d9368da7ba193ccb89a6837173994f0b7a9c290cc23f64513040434d7ab8df81b5d09b73b0263ad SHA512 a72196a1a172d25be1c4791ef6256fe71fa2ba8c1383d230e646e93f8a65c3a57c535189726325da4c792fdb2e9cb119bba43c878816a8e78e78189fd32b12b7
DIST sysklogd-2.0.3.tar.gz 466919 BLAKE2B d9ada06dadb5a43ca7102cb24eaffa0494af2743f4714bab7d362cf480835ea9c3fc51ee171e4eb3b90380d63abe78c759bdfc5d946ec4d5bf8fce748cd916b9 SHA512 95ed0465e37b438d624b0a78d74c1194c57d117890492b5773c9ccefa7aa2c1f54ed510e54a29019fb2d7274200370031fe822a9316c154e64a2a01cb912d7a8
+DIST sysklogd-2.1.1.tar.gz 560806 BLAKE2B 576da4c75a5f75f9df438764083d5f4a26a29edce7d8d2ce8e27e35b1b3460289aa366ac5e7e3dd887f0c2bc08fdea8fcca5dedcf5e7c34aaf677ddb5745a0be SHA512 7b486a123b651e9393a4f4d0340e6356e9cf73f344c4a51f84b732134a6d61bf7ee09125d723dda3a2137c3b93c4df156b79193a8111d1ae5c339a668debada3
DIST sysklogd-2.1.tar.gz 560611 BLAKE2B 727f78a639d88fd67b5fe6106534a10f9b37717b0675772346b07691481d7d5297963d54d3e36eae7cf14431e8429eaf0da1c551970c7a916f4e6c891c7ad70c SHA512 48fa0eed0013a9ff0a8bae0fe35bb82f46e012d3754da424bce0bcd339b4e016a1cbc93b134c02342f8da6e42721cdcdb3d28c3c71c571748d77a234460cb0c7
DIST sysklogd_1.5-6.diff.gz 25677 BLAKE2B 3cb1f596490998b6002d4656a2321a500ce9941a37737c0b9d4702bbb87d7bc9ba21b68e06d175e3c1714a701adc6b3312e18a556ebc9ef395d8968762830cb5 SHA512 816961a835a43057569f62fd20d9f7b5e0bfcfcb173b68947457708504db3ce47e635956c8a9564f9bd577d8f3c49dfc725d321dfd3370b2de918363c30f838e
diff --git a/app-admin/sysklogd/sysklogd-2.1.1.ebuild b/app-admin/sysklogd/sysklogd-2.1.1.ebuild
new file mode 100644
index 00000000000..bd1e8726ca4
--- /dev/null
+++ b/app-admin/sysklogd/sysklogd-2.1.1.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic systemd toolchain-funcs
+
+DESCRIPTION="Standard log daemons"
+HOMEPAGE="https://troglobit.com/sysklogd.html https://github.com/troglobit/sysklogd"
+
+if [[ "${PV}" == *9999 ]] ; then
+ inherit autotools git-r3
+ EGIT_REPO_URI="https://github.com/troglobit/sysklogd.git"
+else
+ SRC_URI="https://github.com/troglobit/sysklogd/releases/download/v${PV}/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="logger logrotate systemd"
+RESTRICT="test"
+
+DEPEND="
+ logger? (
+ !<sys-apps/util-linux-2.34-r3
+ !>=sys-apps/util-linux-2.34-r3[logger]
+ )
+"
+RDEPEND="${DEPEND}"
+
+DOCS=( ChangeLog.md README.md )
+
+pkg_setup() {
+ append-lfs-flags
+ tc-export CC
+}
+
+src_prepare() {
+ default
+ [[ "${PV}" == *9999 ]] && eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --runstatedir="${EPREFIX}"/run
+ $(use_with logger)
+ $(use_with systemd systemd $(systemd_get_systemunitdir))
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ insinto /etc
+ doins syslog.conf
+ keepdir /etc/syslog.d
+
+ newinitd "${FILESDIR}"/sysklogd.rc10 sysklogd
+ newconfd "${FILESDIR}"/sysklogd.confd3 sysklogd
+
+ if use logrotate ; then
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/sysklogd.logrotate sysklogd
+ sed 's@ -r 10M:10@@' -i "${ED}"/etc/conf.d/sysklogd || die
+ fi
+
+ find "${ED}" -type f \( -name "*.a" -o -name "*.la" \) -delete || die
+}
+
+pkg_postinst() {
+ if ! use logrotate && [[ -n ${REPLACING_VERSIONS} ]] && ver_test ${REPLACING_VERSIONS} -lt 2.0 ; then
+ elog "Starting with version 2.0 syslogd has built in log rotation"
+ elog "functionality that does no longer require a running cron daemon."
+ elog "So we no longer install any log rotation cron files for sysklogd."
+ fi
+ if [[ -n ${REPLACING_VERSIONS} ]] && ver_test ${REPLACING_VERSIONS} -lt 2.1 ; then
+ elog "Starting with version 2.1 sysklogd no longer provides klogd."
+ elog "syslogd now also logs kernel messages."
+ fi
+}